<?php

declare(strict_types=1);

namespace TechnoArtisan\FilamentCms;

use Illuminate\Support\Str;

use function class_basename;

class FilamentCms
{
    public static function getPackageName(): string
    {
        return Str::snake(class_basename(self::class), '-');
    }

    public static function getTheme(): string
    {
        return config('filament-cms.theme.active');
    }

    public static function getThemesAvailable(): array
    {
        return config('filament-cms.theme.available') ?? [];
    }


    public static function getViewPrefix(): string
    {
        return self::getPackageName() . '::theme.' . self::getTheme();
    }
}
